package com.ruoyi.powerdistribution.service.impl;

import java.util.List;

import com.ruoyi.powerdistribution.domain.vo.PdmLineComplete;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.PdmLineMapper;
import com.ruoyi.powerdistribution.domain.PdmLine;
import com.ruoyi.powerdistribution.service.IPdmLineService;

/**
 * 可靠性馈线Service业务层处理
 *
 * @author ruoyi
 * @date 2024-12-24
 */
@Service
public class PdmLineServiceImpl implements IPdmLineService
{
    @Autowired
    private PdmLineMapper pdmLineMapper;

    /**
     * 查询可靠性馈线
     *
     * @param id 可靠性馈线主键
     * @return 可靠性馈线
     */
    @Override
    public PdmLine selectPdmLineById(Long id)
    {
        return pdmLineMapper.selectPdmLineById(id);
    }

    /**
     * 查询可靠性馈线列表
     *
     * @param pdmLine 可靠性馈线
     * @return 可靠性馈线
     */
    @Override
    public List<PdmLine> selectPdmLineList(PdmLine pdmLine)
    {
        return pdmLineMapper.selectPdmLineList(pdmLine);
    }

    /**
     * 新增可靠性馈线
     *
     * @param pdmLine 可靠性馈线
     * @return 结果
     */
    @Override
    public int insertPdmLine(PdmLine pdmLine)
    {
        return pdmLineMapper.insertPdmLine(pdmLine);
    }

    /**
     * 修改可靠性馈线
     *
     * @param pdmLine 可靠性馈线
     * @return 结果
     */
    @Override
    public int updatePdmLine(PdmLine pdmLine)
    {
        return pdmLineMapper.updatePdmLine(pdmLine);
    }

    /**
     * 批量删除可靠性馈线
     *
     * @param ids 需要删除的可靠性馈线主键
     * @return 结果
     */
    @Override
    public int deletePdmLineByIds(Long[] ids)
    {
        return pdmLineMapper.deletePdmLineByIds(ids);
    }

    /**
     * 删除可靠性馈线信息
     *
     * @param id 可靠性馈线主键
     * @return 结果
     */
    @Override
    public int deletePdmLineById(Long id)
    {
        return pdmLineMapper.deletePdmLineById(id);
    }

    @Override
    public List<PdmLineComplete> selectCompleteList(PdmLineComplete complete) {
        return pdmLineMapper.selectCompleteList(complete);
    }
}
